<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Tue Jan 15 11:12:05 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
Deprecated List (HttpComponents Client 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Deprecated List (HttpComponents Client 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Deprecated</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?deprecated-list.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="deprecated-list.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Deprecated API</B></H2>
</CENTER>
<HR SIZE="4" NOSHADE>
<B>Contents</B><UL>
<LI><A HREF="#interface">Deprecated Interfaces</A>
<LI><A HREF="#class">Deprecated Classes</A>
<LI><A HREF="#field">Deprecated Fields</A>
<LI><A HREF="#method">Deprecated Methods</A>
<LI><A HREF="#constructor">Deprecated Constructors</A>
</UL>

<A NAME="interface"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Deprecated Interfaces</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/client/AuthenticationHandler.html" title="interface in org.apache.http.client">org.apache.http.client.AuthenticationHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="org/apache/http/client/AuthenticationStrategy.html" title="interface in org.apache.http.client"><CODE>AuthenticationStrategy</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/params/ConnConnectionPNames.html" title="interface in org.apache.http.conn.params">org.apache.http.conn.params.ConnConnectionPNames</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/params/ConnManagerPNames.html" title="interface in org.apache.http.conn.params">org.apache.http.conn.params.ConnManagerPNames</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1.2) use configuration methods of the specific connection manager implementation.</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/scheme/HostNameResolver.html" title="interface in org.apache.http.conn.scheme">org.apache.http.conn.scheme.HostNameResolver</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  Do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/scheme/LayeredSchemeSocketFactory.html" title="interface in org.apache.http.conn.scheme">org.apache.http.conn.scheme.LayeredSchemeSocketFactory</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="org/apache/http/conn/scheme/SchemeLayeredSocketFactory.html" title="interface in org.apache.http.conn.scheme"><CODE>SchemeLayeredSocketFactory</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/scheme/LayeredSocketFactory.html" title="interface in org.apache.http.conn.scheme">org.apache.http.conn.scheme.LayeredSocketFactory</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  use <A HREF="org/apache/http/conn/scheme/SchemeSocketFactory.html" title="interface in org.apache.http.conn.scheme"><CODE>SchemeSocketFactory</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/tsccm/PoolEntryRequest.html" title="interface in org.apache.http.impl.conn.tsccm">org.apache.http.impl.conn.tsccm.PoolEntryRequest</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent"><CODE>Future</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/client/RedirectHandler.html" title="interface in org.apache.http.client">org.apache.http.client.RedirectHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  use <A HREF="org/apache/http/client/RedirectStrategy.html" title="interface in org.apache.http.client"><CODE>RedirectStrategy</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/scheme/SocketFactory.html" title="interface in org.apache.http.conn.scheme">org.apache.http.conn.scheme.SocketFactory</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  use <A HREF="org/apache/http/conn/scheme/SchemeSocketFactory.html" title="interface in org.apache.http.conn.scheme"><CODE>SchemeSocketFactory</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/auth/SpnegoTokenGenerator.html" title="interface in org.apache.http.impl.auth">org.apache.http.impl.auth.SpnegoTokenGenerator</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  subclass <A HREF="org/apache/http/impl/auth/KerberosScheme.html" title="class in org.apache.http.impl.auth"><CODE>KerberosScheme</CODE></A> and override
   <A HREF="org/apache/http/impl/auth/GGSSchemeBase.html#generateGSSToken(byte[], org.ietf.jgss.Oid, java.lang.String)"><CODE>GGSSchemeBase.generateGSSToken(byte[], org.ietf.jgss.Oid, String)</CODE></A></I>&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="class"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Deprecated Classes</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/AbstractAuthenticationHandler.html" title="class in org.apache.http.impl.client">org.apache.http.impl.client.AbstractAuthenticationHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="org/apache/http/client/AuthenticationStrategy.html" title="interface in org.apache.http.client"><CODE>AuthenticationStrategy</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/AbstractClientConnAdapter.html" title="class in org.apache.http.impl.conn">org.apache.http.impl.conn.AbstractClientConnAdapter</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/tsccm/AbstractConnPool.html" title="class in org.apache.http.impl.conn.tsccm">org.apache.http.impl.conn.tsccm.AbstractConnPool</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/AbstractConnPool.html?is-external=true" title="class or interface in org.apache.http.pool"><CODE>AbstractConnPool</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/AbstractPooledConnAdapter.html" title="class in org.apache.http.impl.conn">org.apache.http.impl.conn.AbstractPooledConnAdapter</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/AbstractPoolEntry.html" title="class in org.apache.http.impl.conn">org.apache.http.impl.conn.AbstractPoolEntry</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/tsccm/BasicPooledConnAdapter.html" title="class in org.apache.http.impl.conn.tsccm">org.apache.http.impl.conn.tsccm.BasicPooledConnAdapter</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/tsccm/BasicPoolEntry.html" title="class in org.apache.http.impl.conn.tsccm">org.apache.http.impl.conn.tsccm.BasicPoolEntry</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/PoolEntry.html?is-external=true" title="class or interface in org.apache.http.pool"><CODE>PoolEntry</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/tsccm/BasicPoolEntryRef.html" title="class in org.apache.http.impl.conn.tsccm">org.apache.http.impl.conn.tsccm.BasicPoolEntryRef</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/params/ConnConnectionParamBean.html" title="class in org.apache.http.conn.params">org.apache.http.conn.params.ConnConnectionParamBean</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/params/ConnManagerParamBean.html" title="class in org.apache.http.conn.params">org.apache.http.conn.params.ConnManagerParamBean</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1.2) use configuration methods of the specific connection manager implementation.</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/params/ConnManagerParams.html" title="class in org.apache.http.conn.params">org.apache.http.conn.params.ConnManagerParams</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1.2) use configuration methods of the specific connection manager implementation.</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/params/ConnPerRouteBean.html" title="class in org.apache.http.conn.params">org.apache.http.conn.params.ConnPerRouteBean</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true" title="class or interface in org.apache.http.pool"><CODE>ConnPoolControl</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/tsccm/ConnPoolByRoute.html" title="class in org.apache.http.impl.conn.tsccm">org.apache.http.impl.conn.tsccm.ConnPoolByRoute</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/AbstractConnPool.html?is-external=true" title="class or interface in org.apache.http.pool"><CODE>AbstractConnPool</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/ContentEncodingHttpClient.html" title="class in org.apache.http.impl.client">org.apache.http.impl.client.ContentEncodingHttpClient</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/DefaultProxyAuthenticationHandler.html" title="class in org.apache.http.impl.client">org.apache.http.impl.client.DefaultProxyAuthenticationHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="org/apache/http/impl/client/ProxyAuthenticationStrategy.html" title="class in org.apache.http.impl.client"><CODE>ProxyAuthenticationStrategy</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/DefaultRedirectHandler.html" title="class in org.apache.http.impl.client">org.apache.http.impl.client.DefaultRedirectHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  use <A HREF="org/apache/http/impl/client/DefaultRedirectStrategy.html" title="class in org.apache.http.impl.client"><CODE>DefaultRedirectStrategy</CODE></A>.</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/DefaultResponseParser.html" title="class in org.apache.http.impl.conn">org.apache.http.impl.conn.DefaultResponseParser</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/impl/conn/DefaultHttpResponseParser.html" title="class in org.apache.http.impl.conn"><CODE>DefaultHttpResponseParser</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/DefaultTargetAuthenticationHandler.html" title="class in org.apache.http.impl.client">org.apache.http.impl.client.DefaultTargetAuthenticationHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="org/apache/http/impl/client/TargetAuthenticationStrategy.html" title="class in org.apache.http.impl.client"><CODE>TargetAuthenticationStrategy</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/IdleConnectionHandler.html" title="class in org.apache.http.impl.conn">org.apache.http.impl.conn.IdleConnectionHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  no longer used</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/MultihomePlainSocketFactory.html" title="class in org.apache.http.conn">org.apache.http.conn.MultihomePlainSocketFactory</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  Do not use. For multihome support socket factories must implement
 <A HREF="org/apache/http/conn/scheme/SchemeSocketFactory.html" title="interface in org.apache.http.conn.scheme"><CODE>SchemeSocketFactory</CODE></A> interface.</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/auth/NegotiateScheme.html" title="class in org.apache.http.impl.auth">org.apache.http.impl.auth.NegotiateScheme</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="org/apache/http/impl/auth/SPNegoScheme.html" title="class in org.apache.http.impl.auth"><CODE>SPNegoScheme</CODE></A> or <A HREF="org/apache/http/impl/auth/KerberosScheme.html" title="class in org.apache.http.impl.auth"><CODE>KerberosScheme</CODE></A>.</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/auth/NegotiateSchemeFactory.html" title="class in org.apache.http.impl.auth">org.apache.http.impl.auth.NegotiateSchemeFactory</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="org/apache/http/impl/auth/SPNegoSchemeFactory.html" title="class in org.apache.http.impl.auth"><CODE>SPNegoSchemeFactory</CODE></A> or <A HREF="org/apache/http/impl/auth/KerberosSchemeFactory.html" title="class in org.apache.http.impl.auth"><CODE>KerberosSchemeFactory</CODE></A>.</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/client/protocol/ResponseAuthCache.html" title="class in org.apache.http.client.protocol">org.apache.http.client.protocol.ResponseAuthCache</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="org/apache/http/client/AuthenticationStrategy.html" title="interface in org.apache.http.client"><CODE>AuthenticationStrategy</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/tsccm/RouteSpecificPool.html" title="class in org.apache.http.impl.conn.tsccm">org.apache.http.impl.conn.tsccm.RouteSpecificPool</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/AbstractConnPool.html?is-external=true" title="class or interface in org.apache.http.pool"><CODE>AbstractConnPool</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/SingleClientConnManager.html" title="class in org.apache.http.impl.conn">org.apache.http.impl.conn.SingleClientConnManager</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="org/apache/http/impl/conn/BasicClientConnectionManager.html" title="class in org.apache.http.impl.conn"><CODE>BasicClientConnectionManager</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/tsccm/ThreadSafeClientConnManager.html" title="class in org.apache.http.impl.conn.tsccm">org.apache.http.impl.conn.tsccm.ThreadSafeClientConnManager</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="org/apache/http/impl/conn/PoolingClientConnectionManager.html" title="class in org.apache.http.impl.conn"><CODE>PoolingClientConnectionManager</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/tsccm/WaitingThread.html" title="class in org.apache.http.impl.conn.tsccm">org.apache.http.impl.conn.tsccm.WaitingThread</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/tsccm/WaitingThreadAborter.html" title="class in org.apache.http.impl.conn.tsccm">org.apache.http.impl.conn.tsccm.WaitingThreadAborter</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  do not use</I>&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="field"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Deprecated Fields</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/client/protocol/ClientContext.html#AUTH_SCHEME_PREF">org.apache.http.client.protocol.ClientContext.AUTH_SCHEME_PREF</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/client/params/ClientPNames.html#CONNECTION_MANAGER_FACTORY_CLASS_NAME">org.apache.http.client.params.ClientPNames.CONNECTION_MANAGER_FACTORY_CLASS_NAME</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/params/ConnConnectionPNames.html#MAX_STATUS_LINE_GARBAGE">org.apache.http.conn.params.ConnConnectionPNames.MAX_STATUS_LINE_GARBAGE</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>Use custom <A HREF="org/apache/http/impl/conn/DefaultHttpResponseParser.html" title="class in org.apache.http.impl.conn"><CODE>DefaultHttpResponseParser</CODE></A> implementation</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/DefaultRequestDirector.html#proxyAuthHandler">org.apache.http.impl.client.DefaultRequestDirector.proxyAuthHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/DefaultRequestDirector.html#redirectHandler">org.apache.http.impl.client.DefaultRequestDirector.redirectHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/DefaultRequestDirector.html#targetAuthHandler">org.apache.http.impl.client.DefaultRequestDirector.targetAuthHandler</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="method"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Deprecated Methods</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/AbstractPooledConnAdapter.html#assertAttached()">org.apache.http.impl.conn.AbstractPooledConnAdapter.assertAttached()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  use <A HREF="org/apache/http/impl/conn/AbstractPooledConnAdapter.html#assertValid(org.apache.http.impl.conn.AbstractPoolEntry)"><CODE>AbstractPooledConnAdapter.assertValid(AbstractPoolEntry)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/AbstractClientConnAdapter.html#assertNotAborted()">org.apache.http.impl.conn.AbstractClientConnAdapter.assertNotAborted()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  use <A HREF="org/apache/http/impl/conn/AbstractClientConnAdapter.html#assertValid(org.apache.http.conn.OperatedClientConnection)"><CODE>AbstractClientConnAdapter.assertValid(OperatedClientConnection)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/auth/GGSSchemeBase.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest)">org.apache.http.impl.auth.GGSSchemeBase.authenticate(Credentials, HttpRequest)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) Use <A HREF="org/apache/http/auth/ContextAwareAuthScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)"><CODE>ContextAwareAuthScheme.authenticate(Credentials, HttpRequest, org.apache.http.protocol.HttpContext)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/auth/DigestScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest)">org.apache.http.impl.auth.DigestScheme.authenticate(Credentials, HttpRequest)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) Use <A HREF="org/apache/http/auth/ContextAwareAuthScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)"><CODE>ContextAwareAuthScheme.authenticate(Credentials, HttpRequest, org.apache.http.protocol.HttpContext)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/auth/BasicScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest)">org.apache.http.impl.auth.BasicScheme.authenticate(Credentials, HttpRequest)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) Use <A HREF="org/apache/http/auth/ContextAwareAuthScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)"><CODE>ContextAwareAuthScheme.authenticate(Credentials, HttpRequest, org.apache.http.protocol.HttpContext)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/auth/AuthScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest)">org.apache.http.auth.AuthScheme.authenticate(Credentials, HttpRequest)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  Use <A HREF="org/apache/http/auth/ContextAwareAuthScheme.html#authenticate(org.apache.http.auth.Credentials, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)"><CODE>ContextAwareAuthScheme.authenticate(Credentials, HttpRequest, org.apache.http.protocol.HttpContext)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/ssl/SSLSocketFactory.html#connectSocket(java.net.Socket, java.lang.String, int, java.net.InetAddress, int, org.apache.http.params.HttpParams)">org.apache.http.conn.ssl.SSLSocketFactory.connectSocket(Socket, String, int, InetAddress, int, HttpParams)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>Use <A HREF="org/apache/http/conn/ssl/SSLSocketFactory.html#connectSocket(java.net.Socket, java.net.InetSocketAddress, java.net.InetSocketAddress, org.apache.http.params.HttpParams)"><CODE>SSLSocketFactory.connectSocket(Socket, InetSocketAddress, InetSocketAddress, HttpParams)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/scheme/PlainSocketFactory.html#connectSocket(java.net.Socket, java.lang.String, int, java.net.InetAddress, int, org.apache.http.params.HttpParams)">org.apache.http.conn.scheme.PlainSocketFactory.connectSocket(Socket, String, int, InetAddress, int, HttpParams)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  Use <A HREF="org/apache/http/conn/scheme/PlainSocketFactory.html#connectSocket(java.net.Socket, java.net.InetSocketAddress, java.net.InetSocketAddress, org.apache.http.params.HttpParams)"><CODE>PlainSocketFactory.connectSocket(Socket, InetSocketAddress, InetSocketAddress, HttpParams)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/BasicManagedEntity.html#consumeContent()">org.apache.http.conn.BasicManagedEntity.consumeContent()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1) Use <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/util/EntityUtils.html?is-external=true#consume(org.apache.http.HttpEntity)" title="class or interface in org.apache.http.util"><CODE>EntityUtils.consume(HttpEntity)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/AbstractHttpClient.html#createClientRequestDirector(org.apache.http.protocol.HttpRequestExecutor, org.apache.http.conn.ClientConnectionManager, org.apache.http.ConnectionReuseStrategy, org.apache.http.conn.ConnectionKeepAliveStrategy, org.apache.http.conn.routing.HttpRoutePlanner, org.apache.http.protocol.HttpProcessor, org.apache.http.client.HttpRequestRetryHandler, org.apache.http.client.RedirectHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.UserTokenHandler, org.apache.http.params.HttpParams)">org.apache.http.impl.client.AbstractHttpClient.createClientRequestDirector(HttpRequestExecutor, ClientConnectionManager, ConnectionReuseStrategy, ConnectionKeepAliveStrategy, HttpRoutePlanner, HttpProcessor, HttpRequestRetryHandler, RedirectHandler, AuthenticationHandler, AuthenticationHandler, UserTokenHandler, HttpParams)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1) do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/AbstractHttpClient.html#createClientRequestDirector(org.apache.http.protocol.HttpRequestExecutor, org.apache.http.conn.ClientConnectionManager, org.apache.http.ConnectionReuseStrategy, org.apache.http.conn.ConnectionKeepAliveStrategy, org.apache.http.conn.routing.HttpRoutePlanner, org.apache.http.protocol.HttpProcessor, org.apache.http.client.HttpRequestRetryHandler, org.apache.http.client.RedirectStrategy, org.apache.http.client.AuthenticationHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.UserTokenHandler, org.apache.http.params.HttpParams)">org.apache.http.impl.client.AbstractHttpClient.createClientRequestDirector(HttpRequestExecutor, ClientConnectionManager, ConnectionReuseStrategy, ConnectionKeepAliveStrategy, HttpRoutePlanner, HttpProcessor, HttpRequestRetryHandler, RedirectStrategy, AuthenticationHandler, AuthenticationHandler, UserTokenHandler, HttpParams)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/tsccm/ThreadSafeClientConnManager.html#createConnectionPool(org.apache.http.params.HttpParams)">org.apache.http.impl.conn.tsccm.ThreadSafeClientConnManager.createConnectionPool(HttpParams)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  use #createConnectionPool(long, TimeUnit))</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/ssl/SSLSocketFactory.html#createLayeredSocket(java.net.Socket, java.lang.String, int, boolean)">org.apache.http.conn.ssl.SSLSocketFactory.createLayeredSocket(Socket, String, int, boolean)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>use <A HREF="org/apache/http/conn/ssl/SSLSocketFactory.html#createLayeredSocket(java.net.Socket, java.lang.String, int, org.apache.http.params.HttpParams)"><CODE>SSLSocketFactory.createLayeredSocket(Socket, String, int, HttpParams)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/AbstractHttpClient.html#createProxyAuthenticationHandler()">org.apache.http.impl.client.AbstractHttpClient.createProxyAuthenticationHandler()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/AbstractHttpClient.html#createRedirectHandler()">org.apache.http.impl.client.AbstractHttpClient.createRedirectHandler()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1) do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/ssl/SSLSocketFactory.html#createSocket()">org.apache.http.conn.ssl.SSLSocketFactory.createSocket()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/ssl/SSLSocketFactory.html#createSocket(java.net.Socket, java.lang.String, int, boolean)">org.apache.http.conn.ssl.SSLSocketFactory.createSocket(Socket, String, int, boolean)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>Use <A HREF="org/apache/http/conn/ssl/SSLSocketFactory.html#createLayeredSocket(java.net.Socket, java.lang.String, int, boolean)"><CODE>SSLSocketFactory.createLayeredSocket(Socket, String, int, boolean)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/AbstractHttpClient.html#createTargetAuthenticationHandler()">org.apache.http.impl.client.AbstractHttpClient.createTargetAuthenticationHandler()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/client/utils/URIUtils.html#createURI(java.lang.String, java.lang.String, int, java.lang.String, java.lang.String, java.lang.String)">org.apache.http.client.utils.URIUtils.createURI(String, String, int, String, String, String)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) use <A HREF="org/apache/http/client/utils/URIBuilder.html" title="class in org.apache.http.client.utils"><CODE>URIBuilder</CODE></A>.</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/auth/AuthState.html#getAuthScope()">org.apache.http.auth.AuthState.getAuthScope()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  do not use.</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/cache/CacheConfig.html#getMaxObjectSizeBytes()">org.apache.http.impl.client.cache.CacheConfig.getMaxObjectSizeBytes()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="org/apache/http/impl/client/cache/CacheConfig.html#getMaxObjectSize()"><CODE>CacheConfig.getMaxObjectSize()</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/AbstractPooledConnAdapter.html#getPoolEntry()">org.apache.http.impl.conn.AbstractPooledConnAdapter.getPoolEntry()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.0.1)</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/AbstractHttpClient.html#getProxyAuthenticationHandler()">org.apache.http.impl.client.AbstractHttpClient.getProxyAuthenticationHandler()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/AbstractHttpClient.html#getRedirectHandler()">org.apache.http.impl.client.AbstractHttpClient.getRedirectHandler()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1) do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/scheme/Scheme.html#getSocketFactory()">org.apache.http.conn.scheme.Scheme.getSocketFactory()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  Use <A HREF="org/apache/http/conn/scheme/Scheme.html#getSchemeSocketFactory()"><CODE>Scheme.getSchemeSocketFactory()</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/AbstractHttpClient.html#getTargetAuthenticationHandler()">org.apache.http.impl.client.AbstractHttpClient.getTargetAuthenticationHandler()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/params/ConnManagerParams.html#getTimeout(org.apache.http.params.HttpParams)">org.apache.http.conn.params.ConnManagerParams.getTimeout(HttpParams)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  use <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpConnectionParams.html?is-external=true#getConnectionTimeout(org.apache.http.params.HttpParams)" title="class or interface in org.apache.http.params"><CODE>HttpConnectionParams.getConnectionTimeout(HttpParams)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/Wire.html#input(java.lang.String)">org.apache.http.impl.conn.Wire.input(String)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/auth/AuthState.html#invalidate()">org.apache.http.auth.AuthState.invalidate()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="org/apache/http/auth/AuthState.html#reset()"><CODE>AuthState.reset()</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/auth/AuthState.html#isValid()">org.apache.http.auth.AuthState.isValid()</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/Wire.html#output(java.lang.String)">org.apache.http.impl.conn.Wire.output(String)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/auth/AuthState.html#setAuthScheme(org.apache.http.auth.AuthScheme)">org.apache.http.auth.AuthState.setAuthScheme(AuthScheme)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="org/apache/http/auth/AuthState.html#update(org.apache.http.auth.AuthScheme, org.apache.http.auth.Credentials)"><CODE>AuthState.update(AuthScheme, Credentials)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/auth/AuthState.html#setAuthScope(org.apache.http.auth.AuthScope)">org.apache.http.auth.AuthState.setAuthScope(AuthScope)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  do not use.</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/client/params/ClientParamBean.html#setConnectionManagerFactoryClassName(java.lang.String)">org.apache.http.client.params.ClientParamBean.setConnectionManagerFactoryClassName(String)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  do not use.</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/auth/AuthState.html#setCredentials(org.apache.http.auth.Credentials)">org.apache.http.auth.AuthState.setCredentials(Credentials)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="org/apache/http/auth/AuthState.html#update(org.apache.http.auth.AuthScheme, org.apache.http.auth.Credentials)"><CODE>AuthState.update(AuthScheme, Credentials)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/ssl/SSLSocketFactory.html#setHostnameVerifier(org.apache.http.conn.ssl.X509HostnameVerifier)">org.apache.http.conn.ssl.SSLSocketFactory.setHostnameVerifier(X509HostnameVerifier)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/cache/CacheConfig.html#setMaxObjectSizeBytes(int)">org.apache.http.impl.client.cache.CacheConfig.setMaxObjectSizeBytes(int)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  use <A HREF="org/apache/http/impl/client/cache/CacheConfig.html#setMaxObjectSize(long)"><CODE>CacheConfig.setMaxObjectSize(long)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/params/ConnConnectionParamBean.html#setMaxStatusLineGarbage(int)">org.apache.http.conn.params.ConnConnectionParamBean.setMaxStatusLineGarbage(int)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2)  Use custom <A HREF="org/apache/http/impl/conn/DefaultHttpResponseParser.html" title="class in org.apache.http.impl.conn"><CODE>DefaultHttpResponseParser</CODE></A> implementation</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/AbstractHttpClient.html#setProxyAuthenticationHandler(org.apache.http.client.AuthenticationHandler)">org.apache.http.impl.client.AbstractHttpClient.setProxyAuthenticationHandler(AuthenticationHandler)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/AbstractHttpClient.html#setRedirectHandler(org.apache.http.client.RedirectHandler)">org.apache.http.impl.client.AbstractHttpClient.setRedirectHandler(RedirectHandler)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1) do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/AbstractHttpClient.html#setTargetAuthenticationHandler(org.apache.http.client.AuthenticationHandler)">org.apache.http.impl.client.AbstractHttpClient.setTargetAuthenticationHandler(AuthenticationHandler)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/params/ConnManagerParams.html#setTimeout(org.apache.http.params.HttpParams, long)">org.apache.http.conn.params.ConnManagerParams.setTimeout(HttpParams, long)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  use <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpConnectionParams.html?is-external=true#setConnectionTimeout(org.apache.http.params.HttpParams, int)" title="class or interface in org.apache.http.params"><CODE>HttpConnectionParams.setConnectionTimeout(HttpParams, int)</CODE></A></I>&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="constructor"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Deprecated Constructors</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/tsccm/ConnPoolByRoute.html#ConnPoolByRoute(org.apache.http.conn.ClientConnectionOperator, org.apache.http.params.HttpParams)">org.apache.http.impl.conn.tsccm.ConnPoolByRoute(ClientConnectionOperator, HttpParams)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  use <A HREF="org/apache/http/impl/conn/tsccm/ConnPoolByRoute.html#ConnPoolByRoute(org.apache.http.conn.ClientConnectionOperator, org.apache.http.conn.params.ConnPerRoute, int)"><CODE>ConnPoolByRoute.ConnPoolByRoute(ClientConnectionOperator, ConnPerRoute, int)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/DefaultRequestDirector.html#DefaultRequestDirector(org.apache.http.protocol.HttpRequestExecutor, org.apache.http.conn.ClientConnectionManager, org.apache.http.ConnectionReuseStrategy, org.apache.http.conn.ConnectionKeepAliveStrategy, org.apache.http.conn.routing.HttpRoutePlanner, org.apache.http.protocol.HttpProcessor, org.apache.http.client.HttpRequestRetryHandler, org.apache.http.client.RedirectHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.UserTokenHandler, org.apache.http.params.HttpParams)">org.apache.http.impl.client.DefaultRequestDirector(HttpRequestExecutor, ClientConnectionManager, ConnectionReuseStrategy, ConnectionKeepAliveStrategy, HttpRoutePlanner, HttpProcessor, HttpRequestRetryHandler, RedirectHandler, AuthenticationHandler, AuthenticationHandler, UserTokenHandler, HttpParams)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/DefaultRequestDirector.html#DefaultRequestDirector(org.apache.commons.logging.Log, org.apache.http.protocol.HttpRequestExecutor, org.apache.http.conn.ClientConnectionManager, org.apache.http.ConnectionReuseStrategy, org.apache.http.conn.ConnectionKeepAliveStrategy, org.apache.http.conn.routing.HttpRoutePlanner, org.apache.http.protocol.HttpProcessor, org.apache.http.client.HttpRequestRetryHandler, org.apache.http.client.RedirectStrategy, org.apache.http.client.AuthenticationHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.UserTokenHandler, org.apache.http.params.HttpParams)">org.apache.http.impl.client.DefaultRequestDirector(Log, HttpRequestExecutor, ClientConnectionManager, ConnectionReuseStrategy, ConnectionKeepAliveStrategy, HttpRoutePlanner, HttpProcessor, HttpRequestRetryHandler, RedirectStrategy, AuthenticationHandler, AuthenticationHandler, UserTokenHandler, HttpParams)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/client/cache/memcached/MemcachedHttpCacheStorage.html#MemcachedHttpCacheStorage(net.spy.memcached.MemcachedClientIF, org.apache.http.impl.client.cache.CacheConfig, org.apache.http.client.cache.HttpCacheEntrySerializer)">org.apache.http.impl.client.cache.memcached.MemcachedHttpCacheStorage(MemcachedClientIF, CacheConfig, HttpCacheEntrySerializer)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.2) do not use</I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/scheme/PlainSocketFactory.html#PlainSocketFactory(org.apache.http.conn.scheme.HostNameResolver)">org.apache.http.conn.scheme.PlainSocketFactory(HostNameResolver)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1) use <A HREF="org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn"><CODE>DnsResolver</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/tsccm/RouteSpecificPool.html#RouteSpecificPool(org.apache.http.conn.routing.HttpRoute, int)">org.apache.http.impl.conn.tsccm.RouteSpecificPool(HttpRoute, int)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  use <A HREF="org/apache/http/impl/conn/tsccm/RouteSpecificPool.html#RouteSpecificPool(org.apache.http.conn.routing.HttpRoute, org.apache.http.conn.params.ConnPerRoute)"><CODE>RouteSpecificPool.RouteSpecificPool(HttpRoute, ConnPerRoute)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/scheme/Scheme.html#Scheme(java.lang.String, org.apache.http.conn.scheme.SocketFactory, int)">org.apache.http.conn.scheme.Scheme(String, SocketFactory, int)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  Use <A HREF="org/apache/http/conn/scheme/Scheme.html#Scheme(java.lang.String, int, org.apache.http.conn.scheme.SchemeSocketFactory)"><CODE>Scheme.Scheme(String, int, SchemeSocketFactory)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/SingleClientConnManager.html#SingleClientConnManager(org.apache.http.params.HttpParams, org.apache.http.conn.scheme.SchemeRegistry)">org.apache.http.impl.conn.SingleClientConnManager(HttpParams, SchemeRegistry)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  use <A HREF="org/apache/http/impl/conn/SingleClientConnManager.html#SingleClientConnManager(org.apache.http.conn.scheme.SchemeRegistry)"><CODE>SingleClientConnManager.SingleClientConnManager(SchemeRegistry)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/ssl/SSLSocketFactory.html#SSLSocketFactory(javax.net.ssl.SSLContext, org.apache.http.conn.scheme.HostNameResolver)">org.apache.http.conn.ssl.SSLSocketFactory(SSLContext, HostNameResolver)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>Use <A HREF="org/apache/http/conn/ssl/SSLSocketFactory.html#SSLSocketFactory(javax.net.ssl.SSLContext)"><CODE>SSLSocketFactory.SSLSocketFactory(SSLContext)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/conn/ssl/SSLSocketFactory.html#SSLSocketFactory(java.lang.String, java.security.KeyStore, java.lang.String, java.security.KeyStore, java.security.SecureRandom, org.apache.http.conn.scheme.HostNameResolver)">org.apache.http.conn.ssl.SSLSocketFactory(String, KeyStore, String, KeyStore, SecureRandom, HostNameResolver)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>Use <A HREF="org/apache/http/conn/ssl/SSLSocketFactory.html#SSLSocketFactory(java.lang.String, java.security.KeyStore, java.lang.String, java.security.KeyStore, java.security.SecureRandom, org.apache.http.conn.ssl.X509HostnameVerifier)"><CODE>SSLSocketFactory.SSLSocketFactory(String, KeyStore, String, KeyStore, SecureRandom, X509HostnameVerifier)</CODE></A></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="org/apache/http/impl/conn/tsccm/ThreadSafeClientConnManager.html#ThreadSafeClientConnManager(org.apache.http.params.HttpParams, org.apache.http.conn.scheme.SchemeRegistry)">org.apache.http.impl.conn.tsccm.ThreadSafeClientConnManager(HttpParams, SchemeRegistry)</A>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I>(4.1)  use <A HREF="org/apache/http/impl/conn/tsccm/ThreadSafeClientConnManager.html#ThreadSafeClientConnManager(org.apache.http.conn.scheme.SchemeRegistry)"><CODE>ThreadSafeClientConnManager.ThreadSafeClientConnManager(SchemeRegistry)</CODE></A></I>&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Deprecated</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?deprecated-list.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="deprecated-list.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
